Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class FeatHdrRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.FeatHdrRecord

    public final class FeatHdrRecord

extends StandardRecord

Title: FeatHdr (Feature Header) Record

This record specifies common information for Shared Features, and specifies the beginning of a collection of records to define them. The collection of data (Globals Substream ABNF, macro sheet substream ABNF or worksheet substream ABNF) specifies Shared Feature data.

Field Summary
`static int` | `SHAREDFEATURES_ISFFACTOID` Specifies the smart tag type.
`static int` | `SHAREDFEATURES_ISFFEC2` Specifies that formula errors should be ignored
`static int` | `SHAREDFEATURES_ISFLIST` Specifies the shared list type.
`static int` | `SHAREDFEATURES_ISFPROTECTION` Specifies the enhanced protection type.
`static short` | `sid`

Constructor Summary
`FeatHdrRecord()`
`FeatHdrRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHAREDFEATURES_ISFPROTECTION

    public static final int SHAREDFEATURES_ISFPROTECTION

  Specifies the enhanced protection type. Used to protect a shared workbook by restricting access to some areas of it

  See Also:
    Constant Field Values

### SHAREDFEATURES_ISFFEC2

    public static final int SHAREDFEATURES_ISFFEC2

  Specifies that formula errors should be ignored

  See Also:
    Constant Field Values

### SHAREDFEATURES_ISFFACTOID

    public static final int SHAREDFEATURES_ISFFACTOID

  Specifies the smart tag type. Recognises certain types of entries (proper names, dates/times etc) and flags them for action

  See Also:
    Constant Field Values

### SHAREDFEATURES_ISFLIST

    public static final int SHAREDFEATURES_ISFLIST

  Specifies the shared list type. Used for a table within a sheet

  See Also:
    Constant Field Values

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### FeatHdrRecord

    public FeatHdrRecord()

### FeatHdrRecord

    public FeatHdrRecord(RecordInputStream in)

Method Detail

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD